# Deprecated API

## Contents

- Methods

Deprecated Methods
Method
Description
org.apache.sling.junit.TestsManager.clearCaches()
Caches have been removed.
org.apache.sling.junit.TestsManager.executeTests(Collection<String>, Renderer, TestSelector)
use `TestsManager.executeTests(Renderer, TestSelector)` instead
org.apache.sling.junit.TestsProvider.getServicePid()
No longer used.
org.apache.sling.junit.TestsProvider.lastModified()
No longer used. `TestManager` always gets the latest tests from the `TestsProvider` instances. Any performance issues need to be addressed inside the `TestsProvider` implementation, e.g. by caching.